hadoop-hdfs-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Allen Wittenauer (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HDFS-11096) Support rolling upgrade between 2.x and 3.x
Date Fri, 17 Nov 2017 16:43:01 GMT

    [ https://issues.apache.org/jira/browse/HDFS-11096?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16257197#comment-16257197
] 

Allen Wittenauer commented on HDFS-11096:
-----------------------------------------

bq.  I actually feel pretty strongly about keeping set -e here

http://mywiki.wooledge.org/BashFAQ/105

bq. have I addressed the issues you pointed out to your satisfaction?

A quick glance:

{code}
+# shellcheck disable=SC1090
+source "${HADOOP_ROOT}/hadoop-common-project/hadoop-common/src/main/bin/hadoop-functions.sh"
{code}

You don't need to disable that.  You can tell shellcheck where to look for that file:

{code}
# shellcheck source=./hadoop-common-project/hadoop-common/src/main/bin/hadoop-functions.sh
{code}

bq. There were no new shellcheck issues. 

That's only because of the massive amount of quoting.  There are a ton of problems that shellcheck
can't catch as a result of that.


> Support rolling upgrade between 2.x and 3.x
> -------------------------------------------
>
>                 Key: HDFS-11096
>                 URL: https://issues.apache.org/jira/browse/HDFS-11096
>             Project: Hadoop HDFS
>          Issue Type: Improvement
>          Components: rolling upgrades
>    Affects Versions: 3.0.0-alpha1
>            Reporter: Andrew Wang
>            Assignee: Sean Mackrory
>            Priority: Blocker
>         Attachments: HDFS-11096.001.patch, HDFS-11096.002.patch, HDFS-11096.003.patch,
HDFS-11096.004.patch, HDFS-11096.005.patch, HDFS-11096.006.patch, HDFS-11096.007.patch
>
>
> trunk has a minimum software version of 3.0.0-alpha1. This means we can't rolling upgrade
between branch-2 and trunk.
> This is a showstopper for large deployments. Unless there are very compelling reasons
to break compatibility, let's restore the ability to rolling upgrade to 3.x releases.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

---------------------------------------------------------------------
To unsubscribe, e-mail: hdfs-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: hdfs-issues-help@hadoop.apache.org


Mime
View raw message